

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform vec2 size; 
uniform vec2 sizeTiled; 
uniform vec2 realTiled;
uniform sampler2D tiled;

void main(void)
{	
	float flag = v_texCoord.x / (sizeTiled.x/size.x)/(size.x/realTiled.x);
	float x = fract(flag);
	float flagY = v_texCoord.y / (sizeTiled.y/size.y)/(size.y/realTiled.y);
	float y = fract(flagY);  
	vec4 color = texture2D(tiled,vec2(x,y)); 
	float rate = 0.05;
	if(v_texCoord.x < rate|| v_texCoord.x > (size.x/realTiled.x)-rate ){
		color = color* 0.0;
	}
	gl_FragColor = color;
}